| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Digikam::PreviewOsdSettings Class Reference

This class contain host all the preview OSD settings.

## Public Member Functions
void | readFromConfig (const QString &configGroupName)
void | writeToConfig (const QString &configGroupName)

## Static Public Member Functions
static void | printComments (QPainter &p, int &offset, const QString &comments)
static void | printInfoText (QPainter &p, int &offset, const QString &str, const QColor &pcol=Qt::white)
| Helper methods to render text on the OSD.
static void | printTags (QPainter &p, int &offset, QStringList &tags)

## Public Attributes
QFont | captionFont = QFontDatabase::systemFont(QFontDatabase::GeneralFont)
| Font for the display of caption text.
bool | printApertureFocal = false
| Print camera Aperture and Focal while slide.
bool | printCapIfNoTitle = false
| Print image captions if no title available while slide.
bool | printCaption = false
| Print picture comment while slide.
bool | printDate = false
| Print picture creation date while slide.
bool | printExpoSensitivity = false
| Print camera Exposure and Sensitivity while slide.
bool | printKeywords = false
| Print tag names while slide.
bool | printLensModel = false
| Print camera Lens model while slide.
bool | printMakeModel = false
| Print camera Make and Model while slide.
bool | printName = true
| Print picture file name while slide.
bool | printTitle = false
| Print image title while slide.